package com.ykMap.controller;

import com.ykMap.base.controller.BaseController;
import com.ykMap.base.domain.AjaxResult;
import com.ykMap.entity.request.CarPageRequest;
import com.ykMap.entity.response.CarPageResponse;
import com.ykMap.service.CarService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import jakarta.validation.Valid;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 车辆实时定位
 *
 * @author wu
 * @since 2025/3/12 10:22
 */
@RestController
@RequestMapping("/ykmap/car")
@Api(tags = "车辆实时定位接口")
public class CarController extends BaseController {

    @Resource
    private CarService carService;

    /**
     * 分页查询单位内外的车辆任务
     *
     * @param req 请求类
     * @return 响应类
     */
    @GetMapping("page")
    @ApiOperation(value = "分页查询单位内外的车辆任务", response = CarPageResponse.class)
    public AjaxResult page( @Valid CarPageRequest req) {
        return success(carService.page(req));
    }
}
