package com.ykMap.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 'task_mission(TaskMission)表实体类
 *
 * @author wu
 * @since 2024-09-19 13:15:13
 */
@Data
@ApiModel("task_mission实体类")
@TableName(value = "task_mission")
public class TaskMission implements Serializable {

    private static final long serialVersionUID = -20548411213691388L;
    private String id;

    private Integer isDelete;

    private String updateUser;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private String remark;

    /**
     * 任务名称
     */
    @ApiModelProperty(value = "任务名称")
    private String name;

    /**
     * 任务日期
     */
    @ApiModelProperty(value = "任务日期")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date missionDate;

    /**
     * 固定任务；临时任务
     */
    @ApiModelProperty(value = "固定任务；临时任务")
    private String missionType;

    /**
     * 车组模板id
     */
    @ApiModelProperty(value = "车组模板id")
    private String taskGroupTemplateId;

    /**
     * 车组（考勤小组id）
     */
    @ApiModelProperty(value = "车组（考勤小组id）")
    private String attGroupId;

    /**
     * 任务状态：已编排、执行中、交接完成、已结束
     */
    @ApiModelProperty(value = "任务状态：已编排、执行中、交接完成、已结束")
    private String missionState;

    /**
     * 任务开始时间
     */
    @ApiModelProperty(value = "任务开始时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 任务结束时间
     */
    @ApiModelProperty(value = "任务结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 是否提前交接
     */
    @ApiModelProperty(value = "是否提前交接")
    private Integer isEarlyHandover;

    /**
     * 是否延后交接
     */
    @ApiModelProperty(value = "是否延后交接")
    private Integer isLateHandover;

    /**
     * 编排人id
     */
    @ApiModelProperty(value = "编排人id")
    private String operatorId;

    /**
     * 编排人信息（工号-姓名）
     */
    @ApiModelProperty(value = "编排人信息（工号-姓名）")
    private String operatorInfo;

    /**
     * 编排时间
     */
    @ApiModelProperty(value = "编排时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date operateTime;

    /**
     * 路线id
     */
    @ApiModelProperty(value = "路线id")
    private String taskRouteId;

    /**
     * 出车时间
     */
    @ApiModelProperty(value = "出车时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date departureTime;

    /**
     * 任务分类：早送、晚接、中间、维护车、清机
     */
    @ApiModelProperty(value = "任务分类：早送、晚接、中间、维护车、清机")
    private String missionCategory;

    /**
     * 本车车辆id
     */
    @ApiModelProperty(value = "本车车辆id")
    private String originalVehicleId;

    /**
     * 车牌号
     */
    @ApiModelProperty(value = "车牌号")
    @TableField(exist = false)
    private String plateNum;

}

