package com.ykMap.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ykMap.entity.TaskMission;
import com.ykMap.entity.response.CarPageResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 'task_mission(TaskMission)表数据库访问层
 *
 * @author wu
 * @since 2024-09-19 13:15:13
 */
public interface TaskMissionMapper extends BaseMapper<TaskMission> {

    /**
     * 根据车牌号查询
     *
     * @param plateNum 车牌号
     * @return 响应类
     */
    TaskMission findByPlateNum(@Param("plateNum") String plateNum);

    /**
     * 根据多个车牌号查询task_mission
     *
     * @param arr 车牌号
     * @return 响应类
     */
    List<TaskMission> findByPlateNums(@Param("array") String[] arr);

    /**
     * 根据车牌号分页查询车辆任务
     *
     * @param page      分页条件
     * @param list 车牌号集合
     * @return 响应类
     */
    Page<CarPageResponse> pageByPlateNums(Page<CarPageResponse> page, @Param("list") List<String> list);
}

