package com.ykMap.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ykMap.entity.TaskMission;
import com.ykMap.entity.response.CarPageResponse;

import java.util.List;

/**
 * 'task_mission(TaskMission)表服务接口
 *
 * @author wu
 * @since 2024-09-19 13:15:13
 */
public interface TaskMissionService extends IService<TaskMission> {

    /**
     * 根据车牌号查询
     *
     * @param plateNum 车牌号
     * @return 响应类
     */
    TaskMission findByPlateNum(String plateNum);


    /**
     * 根据多个车牌号查询task_mission
     *
     * @param plateNum 车牌号
     * @return 响应类
     */
    List<TaskMission> findByPlateNums(String plateNum);

    /**
     * 根据车牌号分页查询车辆任务
     *
     * @param page      分页条件
     * @param plateNums 车牌号集合
     * @return 响应类
     */
    Page<CarPageResponse> pageByPlateNums(Page<CarPageResponse> page, List<String> plateNums);
}

