package com.ykMap.utils;

import org.gavaghan.geodesy.Ellipsoid;
import org.gavaghan.geodesy.GeodeticCalculator;
import org.gavaghan.geodesy.GeodeticCurve;
import org.gavaghan.geodesy.GlobalCoordinates;

/**
 * 空间坐标计算工具类
 *
 * @author wu
 * @since 2025/3/14 15:12
 */
public class SpaceUtils {

    /**
     * 根据两个经纬度计算距离(米)
     *
     * @param point1 经纬度1
     * @param point2 经纬度2
     * @return 距离(米)
     */
    public static double getDistanceMeter(GlobalCoordinates point1, GlobalCoordinates point2) {
        GeodeticCalculator calc = new GeodeticCalculator();
        Ellipsoid ellipsoid = Ellipsoid.WGS84; // 使用 WGS84 椭球模型
        GeodeticCurve geoCurve = calc.calculateGeodeticCurve(ellipsoid, point1, point2);
        return geoCurve.getEllipsoidalDistance();
    }

}
